# TransformOrientationSlot(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``TransformOrientationSlot`(bpy_struct)
  `custom_orientation`

    Type: | `TransformOrientation`, (readonly)

  `type`

    Transformation orientation

    - `GLOBAL` Global, Align the transformation axes to world space.
    - `LOCAL` Local, Align the transformation axes to the selected objects’ local space.
    - `NORMAL` Normal, Align the transformation axes to average normal of selected elements (bone Y axis for pose mode).
    - `GIMBAL` Gimbal, Align each axis to the Euler rotation axis as used for input.
    - `VIEW` View, Align the transformation axes to the window.
    - `CURSOR` Cursor, Align the transformation axes to the 3D cursor.

    Type: | enum in [‘GLOBAL’, ‘LOCAL’, ‘NORMAL’, ‘GIMBAL’, ‘VIEW’, ‘CURSOR’], default ‘GLOBAL’

  `use`

    Use scene orientation instead of a custom setting

    Type: | boolean, default False

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.transform_orientation_slots` |